:root {
  --color-1: #848784;
  --color-2: #ebf0eb;
  --color-3: #1c1c1c;
  --color-4: #6eb974;
  --color-5: #ffffff99;
  --color-6: #2f7b54;
  --color-7: #ebf0eb;
  --color-8: #ffffff4d;
}

header {
  position: absolute;
  top: 20px;
  z-index: 99;
  width: 100%;
}

header.scrolled {
  padding: 10px 0;
  position: fixed;
  top: 0;
  animation: 500ms ease-in-out 0s normal fadeInDown;
}

@keyframes fadeInDown {
  0% {
    opacity: 0;
    -webkit-transform: translateY(-20px);
    -ms-transform: translateY(-20px);
    transform: translateY(-20px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
  }
}

.header_wrapper {
  display: flex;
  align-items: center;
  border: 1px solid white;
  justify-content: space-between;
  width: 98%;
  margin: 0 auto;
  padding: 10px 16px;
  height: 48px;
  border-radius: 8px;
  background: var(--color-5);
  backdrop-filter: blur(4px);
}

.header_left {
  display: flex;
  align-items: center;
  gap: 10px;
}

.header_left a:first-child img {
  width: 85px;
  height: auto;
  opacity: 1;
}

.header_left a:last-child img {
  width: 92px;
  height: auto;
  opacity: 1;
}

.header_left span {
  width: 1px;
  background: var(--color-1);
  height: 32px;
  display: block;
}

.language {
  position: relative;
}

.language button {
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  cursor: pointer;
  font-size: 14px;
  line-height: 150%;
  color: var(--color-3);
  display: flex;
  align-items: center;
  gap: 10px;
  background: transparent;
}

.language button i {
  transition: 0.3s ease-in-out;
}

.language button.active i {
  transform: rotate(180deg);
}

.language_dropdown {
  background: var(--color-5);
  display: flex;
  flex-direction: column;
  margin-block: 5px;
  border-radius: 8px;
  right: 0;
  padding: 16px 0;
  position: absolute;
  margin-top: 10px;
  backdrop-filter: blur(4px);
  border: 1px solid white;
}

.lang_item {
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 10px 16px;
  transition: 0.3s ease-in-out;
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 150%;
  color: var(--color-3);
}

.lang_item img {
  width: 24px;
  height: 24px;
  border-radius: 10px;
  object-fit: cover;
}

.lang_item:hover,
.lang_item.active {
  background: var(--color-2);
}

@media screen and (min-width: 1024px) {
  header {
    top: 40px;
  }

  .header_wrapper {
    width: 100%;
    height: 72px;
    padding: 20px 32px;
  }

  .header_left a:first-child img {
    width: fit-content;
    height: 32px;
  }

  .header_left a:last-child img {
    width: fit-content;
    height: 32px;
  }

  .language button {
    font-size: 16px;
  }

  .lang_item {
    font-size: 16px;
  }
}

/* hero */
.hero_section {
  height: fit-content;
  padding-top: 100px;
  padding-bottom: 120px;
  position: relative;
  display: flex;
  align-items: center;
  margin: 8px 8px 0 8px;
  border-radius: 8px;
  justify-content: flex-start;
  background: var(--color-2);
}

.hero_section .container {
  position: relative;
  display: flex;
  align-items: center;
}

.hero_section .background_hero {
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0;
  object-fit: cover;
}

.hero_section h1 {
  position: relative;
  font-family: "Inter";
  font-style: normal;
  color: var(--color-3);
  font-weight: 600;
  text-align: start;
  line-height: 100%;
  font-size: 36px;

  b {
    display: block;
    font-weight: 600;
    color: var(--color-4);
  }
}

.hero_section .box_img {
  position: relative;
  max-width: 150px;
  max-height: 150px;
  z-index: 4;
  margin-bottom: -40px;
  width: fit-content;
  height: fit-content;
}

@media screen and (min-width: 1024px) {
  .hero_section {
    margin: 20px 20px 0 20px;
    border-radius: 16px;
  }

  .hero_section h1 {
    font-size: 96px;
    margin-top: 0;
  }

  .hero_section .box_img {
    left: unset;
    top: 20%;
    position: absolute;
    transform: unset;
    right: 10%;
    max-width: 400px;
    max-height: 400px;
  }

  .hero_section {
    height: 606px;
  }

  .hero_section .background_hero {
    object-fit: unset;
  }
}

@media screen and (min-width: 1400px) {
  .hero_section .box_img {
    top: 10%;
    max-width: 500px;
    margin-bottom: 0;
    max-height: 500px;
  }
  .hero_section .container {
    display: block;
  }
}

/* card */
.gift_section {
  margin-top: -100px;
  margin-bottom: 20px;
  position: relative;
}

.gift_wrapper {
  position: relative;
  overflow: hidden;
  padding: 30px 8px 20px;
  border-radius: 8px 64px 8px 8px;
  background: var(--color-6);
}

.gift_section .background_layer {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  object-fit: cover;
  height: 340px;
  z-index: 1;
}

.gift_wrapper h2 {
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 32px;
  line-height: 120%;
  color: #ffffff;
  max-width: 276px;
  margin: 0 auto;
  text-align: center;
  margin-bottom: 30px;
  position: relative;
  z-index: 2;
}

.card_wrapper {
  display: grid;
  position: relative;
  z-index: 3;
  grid-template-columns: repeat(1, 1fr);
  gap: 20px;
}

.gift_card {
  display: none;
  grid-template-columns: repeat(1, 1fr);
}

.gift_card .left {
  background: #ffffff;
  width: 100%;
  display: flex;
  height: 124px;
  align-items: center;
  position: relative;
  justify-content: center;
  border-radius: 16px;
}

.gift_card .left img {
  width: auto;
  max-width: 200px;
  max-height: 45px;
  object-fit: contain;
}

.pattern-container {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  gap: 8px;
  z-index: 4;
  flex-wrap: wrap;
  bottom: -6px;
  max-width: 100%;
}

.dot {
  background: #fff;
  transition: all 0.3s ease;
  border: 1px solid var(--color-7);
}

/* Tək elementlər - dairə */
.dot:nth-child(odd) {
  width: 13px;
  height: 13px;
  border-radius: 50%;
}

/* Cüt elementlər - kvadrat */
.dot:nth-child(even) {
  width: 13px;
  height: 13px;
  border-radius: 2px;
}

.gift_card .right {
  background: var(--color-2);
  border-radius: 16px;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  position: relative;
  overflow: hidden;
  align-items: center;
  justify-content: center;
  padding: 24px;
}

.gift_card .right img {
  position: absolute;
  right: 0;
  top: -1px;
  bottom: -1px;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.gift_card .right article {
  display: flex;
  flex-direction: column;
  row-gap: 20px;
  max-width: 325px;
  position: relative;
  z-index: 4;
  text-align: center;
  margin: 0 auto 60px;
}

.gift_card .right article strong {
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 24px;
  line-height: 120%;
  color: var(--color-3);
}

.gift_card .right article p {
  font-family: "Inter";
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 120%;
  color: var(--color-3);
}

.gift_card .right button {
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  position: relative;
  color: white;
  z-index: 4;
  height: 48px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 40px;
  cursor: pointer;
  padding: 0 20px;
  gap: 10px;
  line-height: 150%;
  width: 100%;
  background: var(--color-4);
  border: 1px solid var(--color-8);
  text-transform: uppercase;
  transition: ease-in-out 0.3s;
}

.gift_card .right button:hover {
  transform: scale(0.95);
}

.gift_card .right button i {
  font-size: 18px;
}

@media screen and (min-width: 1024px) {
  .gift_section {
    margin-top: -40px;
  }

  .gift_section .background_layer {
    object-fit: unset;
  }

  .gift_card {
    height: 144px;
    display: grid;
  }

  .gift_wrapper {
    padding: 70px 40px;

    border-radius: 16px 200px 16px 16px;
  }

  .gift_wrapper h2 {
    font-size: 48px;
    max-width: 100%;
    text-align: start;
    margin-bottom: 80px;
  }

  .gift_card {
    grid-template-columns: repeat(12, 1fr);
  }

  .dot:nth-child(n + 6) {
    display: none;
  }

  .pattern-container {
    right: -12%;
    top: 50%;
    bottom: unset;
    transform: translateY(-50%) rotate(90deg);
  }

  .gift_card .left {
    grid-column: span 4;
    height: 100%;
  }

  .gift_card .right button {
    font-size: 16px;
    justify-content: center;
    white-space: nowrap;
    height: 64px;

    width: fit-content;
  }

  .gift_card .right button i {
    font-size: 32px;
  }

  .gift_card .right {
    grid-column: span 8;
    flex-wrap: unset;
    align-items: center;
    justify-content: space-between;
  }

  .gift_card .right article {
    max-width: fit-content;
    text-align: start;
    margin: unset;
    margin-bottom: 0;
    row-gap: 5px;
  }

  .gift_card .right img {
    width: fit-content;
    height: fit-content;
  }
}

@media screen and (min-width: 1400px) {
  .gift_card .right article strong {
    font-size: 28px;
  }

  .pattern-container {
    right: -12%;
  }

  .gift_card .right {
    padding: 40px;
  }

  .gift_card .right button {
    padding: 0 40px;
  }

  .gift_card .right article p {
    font-size: 18px;
  }

  .gift_wrapper {
    padding: 70px;
  }
}

@media screen and (min-width: 1600px) {
  .pattern-container {
    right: -10%;
  }
}

/* footer */
footer {
  position: relative;
  background: var(--color-3);
  padding: 80px 0;
  overflow: hidden;
}

footer img {
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0;
}

footer article {
  max-width: 809px;
  margin: 0 auto;
  position: relative;
  z-index: 4;
  font-size: 14px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  row-gap: 20px;
}

footer article .first_link {
  font-family: "Inter";
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
  text-align: center;
  text-decoration-line: underline;
  color: var(--color-4);
}

footer article p {
  font-family: "Inter";
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
  text-align: center;
  color: #ffffff;

  a {
    color: currentColor;
  }
}

@media screen and (min-width: 1024px) {
  footer article {
    font-size: 16px;
  }
}



/* gift card second */
.gift_card_second {
  display: flex;
  row-gap: 20px;
  position: relative;
  border-radius: 8px;
  min-height: 126px;
  justify-content: space-between;
  padding: 16px;
  border: 1px solid;
  border-image-source: linear-gradient(90deg, #EBF0EB 0%, #FFFFFF 100%);
  overflow: hidden;
  flex-direction: column;
  background: #EBF0EB;
}

.gift_card_second img[data-mobile="true"] {
  position: absolute;
  right: -40px;
  /* width: 280px; */
  object-fit: contain;
  /* height: 280px; */
  bottom: 0;
}

.gift_card_second strong {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 120%;
  color: #1C1C1C;
}

.gift_body_second {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.gift_body_second_left {
  display: flex;
  align-items: center;
  gap: 10px;
}

.gift_body_second figure {
  width: 40px;
  height: 40px;
  background: #fff;
  border-radius: 4px;
  display: flex;
  position: relative;
  z-index: 3;
  align-items: center;
  justify-content: center;
}

.gift_body_second figure img {
  width: 32px;
  height: 32px;
}

.gift_body_second article {
  display: flex;
  position: relative;
  z-index: 3;
  flex-direction: column;
  row-gap: 5px;
}

.gift_body_second article strong {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 600;
  font-size: 12px;
  line-height: 120%;
  color: #1C1C1C;
}

.gift_body_second article span {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 120%;
  color: #848784;
}

.gift_body_second button {
  display: flex;
  align-items: center;
  width: 32px;
  position: relative;
  z-index: 3;
  height: 32px;
  justify-content: center;
  color: white;
  cursor: pointer;
  background: #6EB974;
  border: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 4px;
  font-size: 14px;
}

@media screen and (min-width:1024px) {
  .gift_card_second {
    display: none;
  }
}